Instance Users
Endpoints for managing users in Evo instances
List instance users (deprecated - use /users endpoint)
Workspaces API
Returns a paginated list of all users with access to the Evo instance. Users with multiple roles will only have their most privileged role returned.
Parameters
Returns
200
Successful Response
Endpoint
Request
curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/members' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"links": {
"count": 0,
"first": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"results": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
]
}
Add user to instance (deprecated - use /users endpoint)
Workspaces API
Add user to the Evo instance
Parameters
{
"users": [
{
"email": "string",
"roles": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
]
}
Returns
201
Successful Response
Endpoint
Request
curl -X POST 'https://{service_host}/workspace/orgs/{org_id}/members' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"invitations": [
{
"created_date": "2024-07-29T15:51:28.071Z",
"email": "string",
"expiration_date": "2024-07-29T15:51:28.071Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invited_by_email": "string",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"status": "string"
}
],
"members": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
]
}
List instance user invitations
Workspaces API
Returns a paginated list of all user invitations for the Evo instance
Parameters
Returns
200
Successful Response
Endpoint
Request
curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/members/invitations' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"links": {
"count": 0,
"first": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"results": [
{
"created_date": "2024-07-29T15:51:28.071Z",
"email": "string",
"expiration_date": "2024-07-29T15:51:28.071Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invited_by_email": "string",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"status": "string"
}
]
}
Delete instance user invitation
Workspaces API
Deletes a user invitation for the Evo instance
Parameters
Returns
204
Successful Response
Endpoint
Request
curl -X DELETE 'https://{service_host}/workspace/orgs/{org_id}/members/invitations/{invitation_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.
List instance user roles
Workspaces API
List all roles in the Evo instance
Parameters
Returns
200
Successful Response
Endpoint
Request
curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/members/roles' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"permissions": [
"string"
]
}
]
}
List instance users
Workspaces API
Returns a paginated list of all users with access to the Evo instance. Users with multiple roles will only have their most privileged role returned.
Parameters
Returns
200
Successful Response
Endpoint
Request
curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/members/users' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"links": {
"count": 0,
"first": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"results": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
]
}
Add user to instance
Workspaces API
Add user to the Evo instance
Parameters
{
"users": [
{
"email": "string",
"roles": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
]
}
Returns
201
Successful Response
Endpoint
Request
curl -X POST 'https://{service_host}/workspace/orgs/{org_id}/members/users' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"invitations": [
{
"created_date": "2024-07-29T15:51:28.071Z",
"email": "string",
"expiration_date": "2024-07-29T15:51:28.071Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invited_by_email": "string",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"status": "string"
}
],
"members": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
]
}
Remove instance user
Workspaces API
Remove a user from the Evo instance
Parameters
Returns
204
Successful Response
Endpoint
Request
curl -X DELETE 'https://{service_host}/workspace/orgs/{org_id}/members/users/{user_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.
Update instance user roles
Workspaces API
Update the roles of a user in the Evo instance
Parameters
{
"roles": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
Returns
200
Successful Response
Endpoint
Request
curl -X PATCH 'https://{service_host}/workspace/orgs/{org_id}/members/users/{user_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
Remove instance user (deprecated - use /users endpoint)
Workspaces API
Remove a user from the Evo instance
Parameters
Returns
204
Successful Response
Endpoint
Request
curl -X DELETE 'https://{service_host}/workspace/orgs/{org_id}/members/{user_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.
Update instance user roles (deprecated - use /users endpoint)
Workspaces API
Update the roles of a user in the Evo instance
Parameters
{
"roles": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
Returns
200
Successful Response
Endpoint
Request
curl -X PATCH 'https://{service_host}/workspace/orgs/{org_id}/members/{user_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}